<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.yono.messeripos">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- NFC PERMISSION AND FEATURE -->
    <uses-permission android:name="android.permission.NFC" />

    <uses-feature android:name="android.hardware.nfc" />
    <uses-feature
        android:name="android.hardware.camera"
        android:required="true" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher_new_icon"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_new_icon"
        android:supportsRtl="true"
        android:theme="@style/AppTheme.appbar">
        <activity android:name=".MethodePayment"/>
        <activity android:name=".ScannerNfc"/>
        <activity android:name=".TransactionDetail"/>
        <activity android:name=".ForgotPasswordActivity"
            android:windowSoftInputMode="adjustResize"></activity>
        <activity android:name=".RegisterActivity" />
        <activity android:name=".TransactionActivity" />
        <activity
            android:name=".BottomSheets"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".HistoryActivity"
            android:theme="@style/AppTheme.appbar" />
        <activity
            android:name=".LoginActivity"
            android:windowSoftInputMode="adjustResize"
            android:theme="@style/AppTheme.appbar" />
        <activity
            android:name=".PaymentActivity"
            android:theme="@style/AppTheme.appbar" />
        <activity
            android:name=".CartActivity"
            android:theme="@style/AppTheme.appbar" />
        <activity android:name=".SplashScreen">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter android:label="@string/app_name">
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:host="rest-api-meser.herokuapp.com"
                    android:scheme="http" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:theme="@style/AppTheme.appbar" />
        <activity android:name=".FormProductActivity"
            android:windowSoftInputMode="adjustResize"/>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.example.android.messer"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/path" />
        </provider>

        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />
    </application>

</manifest>